Bug 50561 - file locking not working with 2.4.3-12
file locking not working with 2.4.3-12
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-01 04:59 EDT by Pierre Wendling
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre Wendling 2001-08-01 04:59:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010628

Description of problem:
When booting the update kernel (2.4.3-12), any executable that is doing
file locking fails (xauth list :0.0 at login times out waiting for lock on
$HOME/.Xauthority, fetchmail prints error message about file locking, etc)

Everything is OK when booting with 2.4.2-2 (default RH7.1 kernel)

Hardware is Dell Optiplex GX200, 384 Mb RAM, Pentium III @ 666 Mhz, Westerm
Digital WDC300 ATA disk (32 bit mode enabled)

How reproducible:
Always

Steps to Reproduce:
1.reboot the machine with 2.4.3-12 kernel
2.run fetchmail
3.read the error message :-)
	

Actual Results:  fetchmail exits with err code 8, error message is:
fetchmail: lock creation failed.

Expected Results:  fetchmail should have retrieved my mails of course ! ;-)

Additional info:

apparently same locking problem with xauth when opening an xterm under
WindowMaker:
message is: timeut waiting for lock on $HOME/.Xauthority

when executing xauth list :0.0
Comment 1 Bugzilla owner 2004-09-30 11:39:06 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.